Copyright: distributable
Source: rhel-sbs-en-%{version}.tbz
Release: 1
Name: rhel-sbs-en
Group: Documentation
Version: 3
Summary: The Red Hat Enterprise Linux %{version} Step By Step Guide in HTML format.
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description

The Red Hat Enterprise Linux %{version} Step By Step Guide is
designed to help new users begin using Red Hat Enterprise Linux 
in a short amount of time. Topics include managing files and directories, 
customizing the desktop, working with diskettes and CD-ROMs, and configuring 
email clients.

The %{name} package contains the Red Hat Enterprise Linux %{version}
Step By Step Guide in HTML format.  PDF, RPM, HTML tarball, and
browsable HTML formats are available from the Red Hat Docs webpage at
http://www.redhat.com/docs/.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Step By Step Guide
Comment=Read about how to use Red Hat Enterprise Linux
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
